For discussion of Alpine Linux development and developer support

1

[alpine-devel] [PATCH] testing/deluge: new aport

AmatCoder
Details
Message ID
<1418835660-4195-1-git-send-email-amatcoder@gmail.com>
Sender timestamp
1418835660
DKIM signature
missing
Download raw message
Patch: +49 -0
This package might be splitted in the future.
---
 testing/deluge/APKBUILD | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)
 create mode 100644 testing/deluge/APKBUILD

diff --git a/testing/deluge/APKBUILD b/testing/deluge/APKBUILD
new file mode 100644
index 0000000..56cc2eb
--- /dev/null
+++ b/testing/deluge/APKBUILD
@@ -0,0 +1,49 @@
+# Contributor: August Klein <amatcoder@gmail.com>
+# Maintainer: August Klein <amatcoder@gmail.com>
+pkgname=deluge
+pkgver=1.3.11
+pkgrel=0
+pkgdesc="A lightweight, Free Software, cross-platform BitTorrent client"
+url="http://deluge-torrent.org"
+arch="noarch"
+license="GPL3"
+depends="libtorrent-rasterbar librsvg py-cffi py-chardet py-cryptography
+	py-gtk py-mako py-openssl py-setuptools py-six py-twisted py-xdg
+	xdg-utils"
+depends_dev=""
+makedepends="intltool librsvg-dev py-gtk-dev py-mako py-setuptools"
+install=""
+subpackages="$pkgname-lang $pkgname-doc"
+source="http://download.deluge-torrent.org/source/$pkgname-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+lang() {
+	mkdir -p "$subpkgdir"/usr/lib/python2.7/site-packages/deluge/i18n || return1
+
+	mv "$pkgdir"/usr/lib/python2.7/site-packages/deluge/i18n/* \
+	"$subpkgdir"/usr/lib/python2.7/site-packages/deluge/i18n/ || return 1
+}
+
+md5sums="c1ce7ad2ba2893eb76f3e587b81e212b  deluge-1.3.11.tar.bz2"
+sha256sums="83e1f41b8a2a6e7ba86a54474692d4686db509b75441173d9603447f9e0ec898  deluge-1.3.11.tar.bz2"
+sha512sums="d56c03f3c687cdee65f8d7f26728a46cae1fd665c49313bd2b91243d26df0f5b2292048fd542333cbc538383eb53cd961bc3427230f9081317268735df367272  deluge-1.3.11.tar.bz2"
-- 
2.2.0



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20141223170027.0bce66d7@ncopa-desktop.alpinelinux.org>
In-Reply-To
<1418835660-4195-1-git-send-email-amatcoder@gmail.com> (view parent)
Sender timestamp
1419350427
DKIM signature
missing
Download raw message
On Wed, 17 Dec 2014 17:01:00 +0000
AmatCoder <amatcoder@gmail.com> wrote:

> This package might be splitted in the future.
> ---
>  testing/deluge/APKBUILD | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
>  1 file changed, 49 insertions(+)
>  create mode 100644 testing/deluge/APKBUILD

applied. thanks!

-nc


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---